Permalink
Browse files

Removed unsued deprecation require

  • Loading branch information...
1 parent 4573825 commit 77b587f942bf3768e5b680ac5e9f24c03a40c607 @raysrashmi raysrashmi committed Jul 4, 2013
@@ -1,4 +1,3 @@
-require 'active_support/deprecation/reporting'
module ActiveRecord
module ConnectionAdapters
@@ -1,5 +1,4 @@
require 'date'
-require 'active_support/deprecation'
class DateTime
class << self
@@ -3,7 +3,6 @@
require 'active_support/time_with_zone'
require 'active_support/core_ext/time/zones'
require 'active_support/core_ext/date_and_time/calculations'
-require 'active_support/deprecation'
class Time
include DateAndTime::Calculations

4 comments on commit 77b587f

Contributor

rubys replied Jul 5, 2013

This change causes the following to fail:

ruby -r 'active_support/all' -e 0

Stack traceback:

NameError: uninitialized constant ActiveSupport::Deprecation::MethodWrapper
    from /home/rubys/git/rails/activesupport/lib/active_support/deprecation.rb:26:in `<class:Deprecation>'
    from /home/rubys/git/rails/activesupport/lib/active_support/deprecation.rb:6:in `<module:ActiveSupport>'
    from /home/rubys/git/rails/activesupport/lib/active_support/deprecation.rb:3:in `<top (required)>'
    from /home/rubys/git/rails/activesupport/lib/active_support/deprecation/method_wrappers.rb:5:in `<module:ActiveSupport>'
    from /home/rubys/git/rails/activesupport/lib/active_support/deprecation/method_wrappers.rb:4:in `<top (required)>'
    from /home/rubys/git/rails/activesupport/lib/active_support/core_ext/module/deprecation.rb:1:in `require'
    from /home/rubys/git/rails/activesupport/lib/active_support/core_ext/module/deprecation.rb:1:in `<top (required)>'
    from /home/rubys/git/rails/activesupport/lib/active_support/core_ext/module.rb:8:in `require'
    from /home/rubys/git/rails/activesupport/lib/active_support/core_ext/module.rb:8:in `<top (required)>'
    from /home/rubys/git/rails/activesupport/lib/active_support/core_ext.rb:2:in `require'
    from /home/rubys/git/rails/activesupport/lib/active_support/core_ext.rb:2:in `block in <top (required)>'
    from /home/rubys/git/rails/activesupport/lib/active_support/core_ext.rb:1:in `each'
    from /home/rubys/git/rails/activesupport/lib/active_support/core_ext.rb:1:in `<top (required)>'
    from /home/rubys/git/rails/activesupport/lib/active_support/all.rb:3:in `require'
    from /home/rubys/git/rails/activesupport/lib/active_support/all.rb:3:in `<top (required)>'
    from /home/rubys/git/awdwr/edition4/data/code/helpers/date4.rb:1:in `require'
    from /home/rubys/git/awdwr/edition4/data/code/helpers/date4.rb:1
    from /home/rubys/.rvm/rubies/ruby-2.0.0-p247/bin/irb:16:in `<main>'>> require 'action_view'
Contributor

raysrashmi replied Jul 5, 2013

Looking now/

Contributor

raysrashmi replied Jul 5, 2013

I think we need to add deprecation.rb back somewhere to loaded by module/deprecation.rb

Member

robin850 replied Jul 6, 2013

I allow myself to put a reference to #11314 for those who would try to fix it.

Please sign in to comment.